Subject: bug#22436: read-coding-system uses wrong default when called from write-file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Jan 2016 16:39:14 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 23 Jan 2016 14:55:50 +0100
> 
> >> Could the default be improved upon?
> >
> > We can sort the list differently.  But if all we want is to always get
> > UTF-8 at the head, there's a much easier way, see my other message
> > where I mentioned prefer-coding-system.
> 
> I guess I'm just saying that I think the least surprising default coding
> system here would be utf-8.

For you, maybe.  What about all those Chinese out there?  What if I'm
writing an email to someone in China?  Etc., etc.

> That is, Emacs should say utf-8 unless the user has called
> `prefer-coding-system' with something else.

Most people who care about that already have their locales use UTF-8.
So the problem largely doesn't exist.  It's not an accident that this
was reported by a Windows user.

Anyway, this stuff worked for years, why should we suddenly change?